###############################################################################
#  SatNOGS-COMMS MCU software
#
#  Copyright (C) 2022-2024, Libre Space Foundation <http://libre.space>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  SPDX-License-Identifier: GNU General Public License v3.0 or later
###############################################################################

CONFIG_UHF_TX_FREQ_HZ=435000000
CONFIG_UHF_RX_FREQ_HZ=435000000
CONFIG_SBAND_TX_FREQ_HZ=2250000000
CONFIG_SBAND_RX_FREQ_HZ=2050000000
CONFIG_UHF_TX_GAIN=16
CONFIG_UHF_RX_RANGE_MIN_HZ=390000000
CONFIG_UHF_RX_RANGE_MAX_HZ=500000000
CONFIG_SBAND_RX_RANGE_MIN_HZ=2000000000
CONFIG_SBAND_RX_RANGE_MAX_HZ=2500000000
CONFIG_UHF_TX_RANGE_MIN_HZ=390000000
CONFIG_UHF_TX_RANGE_MAX_HZ=500000000
CONFIG_SBAND_TX_RANGE_MIN_HZ=2100000000
CONFIG_SBAND_TX_RANGE_MAX_HZ=2500000000

# Use it with care!!!
CONFIG_ERASE_SETTINGS=n
CONFIG_DEPLOY_HOLD_OFF_SECS=5

CONFIG_KERNEL_BIN_NAME="satnogs-comms"